Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/vimpager: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Tue, 26 Aug 2014 22:32:01 -0500

https://github.com/rkitover/vimpager
Use ViM as PAGER (less.sh replacement)
---
 testing/vimpager/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/vimpager/APKBUILD
diff --git a/testing/vimpager/APKBUILD b/testing/vimpager/APKBUILD
new file mode 100644
index 0000000..4dcab12
--- /dev/null
+++ b/testing/vimpager/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=vimpager
+pkgver=1.8.9
+pkgrel=0
+pkgdesc="Use ViM as PAGER (less.sh replacement)"
+url="https://github.com/rkitover/vimpager"
+arch="noarch"
+license="BSD"
+depends="vim"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/rkitover/${pkgname}/archive/${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" PREFIX=/usr SYSCONFDIR=/etc install || return 1
+}
+
+md5sums="ca908665e84fc11d651abed48de4d174  1.8.9.tar.gz"
+sha256sums="846c0069e1abeb95d404ae5874f038bf68139f714261e17815fc21999afeb6ef  1.8.9.tar.gz"
+sha512sums="6544600d527159df69f94e976b42adb5fa8651b87ca3aa4e8da52aa197988e14b1efedf9850b6fdb9a9b5716eb1071a6bed45a3f10f41ab63e36eef91b1b3f97  1.8.9.tar.gz"
-- 
2.1.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Aug 26 2014 - 22:32:01 GMT